Index: Makefile.am
===================================================================
--- Makefile.am	(revision 40698b19cf010762adad30fcf5d7bc64f80397e8)
+++ Makefile.am	(revision e9200616195d7017da20bb03e2b418d9a6f8cfde)
@@ -1,4 +1,4 @@
 ACLOCAL_AMFLAGS = -I m4
-SUBDIRS = LinearAlgebra src/Fragmentation/Summation src src/unittests tests utils doc
+SUBDIRS = LinearAlgebra src src/unittests tests utils doc
 
 AUTOMAKE_OPTIONS = subdir-objects
Index: configure.ac
===================================================================
--- configure.ac	(revision 40698b19cf010762adad30fcf5d7bc64f80397e8)
+++ configure.ac	(revision e9200616195d7017da20bb03e2b418d9a6f8cfde)
@@ -326,7 +326,4 @@
 	src/unittests/Makefile
 ])
-AC_CONFIG_FILES([
-  src/Fragmentation/Summation/Makefile
-])
 
 # produce python scripts and tests only when python's present
Index: src/Fragmentation/Summation/Makefile.am
===================================================================
--- src/Fragmentation/Summation/Makefile.am	(revision 40698b19cf010762adad30fcf5d7bc64f80397e8)
+++ src/Fragmentation/Summation/Makefile.am	(revision e9200616195d7017da20bb03e2b418d9a6f8cfde)
@@ -2,29 +2,21 @@
 # Also indentation by a single tab
 
-lib_LTLIBRARIES=
-TESTS =
-check_PROGRAMS =
-noinst_PROGRAMS =
+FRAGMENTATIONSUMMATIONSOURCE = \
+	Fragmentation/Summation/IndexSet.cpp \
+	Fragmentation/Summation/SubsetMap.cpp
+
+FRAGMENTATIONSUMMATIONHEADER = \
+	Fragmentation/Summation/IndexSet.hpp \
+	Fragmentation/Summation/IndexSetContainer.hpp \
+	Fragmentation/Summation/OrthogonalSummation.hpp \
+	Fragmentation/Summation/OrthogonalSummation_impl.hpp \
+	Fragmentation/Summation/SetValue.hpp \
+	Fragmentation/Summation/SetValueMap.hpp \
+	Fragmentation/Summation/SortedVector.hpp \
+	Fragmentation/Summation/SubsetMap.hpp
 
 
-include unittests/Makefile.am
-
-FRAGMENTATIONSUMMATIONSOURCE = \
-	IndexSet.cpp \
-	SubsetMap.cpp
-
-FRAGMENTATIONSUMMATIONHEADER = \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	OrthogonalSummation.hpp \
-	OrthogonalSummation_impl.hpp \
-	SetValue.hpp \
-	SetValueMap.hpp \
-	SortedVector.hpp \
-	SubsetMap.hpp
-
-
-lib_LTLIBRARIES += libMolecuilderFragmentationSummation.la
-libMolecuilderFragmentationSummation_la_includedir = $(includedir)/MoleCuilder/Fragmentation/
+noinst_LTLIBRARIES += libMolecuilderFragmentationSummation.la
+libMolecuilderFragmentationSummation_la_includedir = $(includedir)/MoleCuilder/Fragmentation/Summation/
 libMolecuilderFragmentationSummation_la_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
 libMolecuilderFragmentationSummation_la_LDFLAGS = -ldl ${BOOST_LDFLAGS}
Index: src/Fragmentation/Summation/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Summation/unittests/Makefile.am	(revision 40698b19cf010762adad30fcf5d7bc64f80397e8)
+++ src/Fragmentation/Summation/unittests/Makefile.am	(revision e9200616195d7017da20bb03e2b418d9a6f8cfde)
@@ -2,24 +2,19 @@
 # Also indentation by a single tab
 
-INCLUDES=-I$(top_srcdir)/src -I$(top_srcdir)/src/Fragmenation -I$(top_srcdir)/src/Fragmenation/Summation
-
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
-
 FRAGMENTATIONSUMMATIONTESTSSOURCES = \
-	../Fragmentation/unittests/IndexSetUnitTest.cpp \
-	../Fragmentation/unittests/IndexSetContainerUnitTest.cpp \
-	../Fragmentation/unittests/OrthogonalSummationUnitTest.cpp \
-	../Fragmentation/unittests/SetValueUnitTest.cpp \
-	../Fragmentation/unittests/SetValueMapUnitTest.cpp \
-	../Fragmentation/unittests/SubsetMapUnitTest.cpp
+	../Fragmentation/Summation/unittests/IndexSetUnitTest.cpp \
+	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.cpp \
+	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SetValueUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SetValueMapUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SubsetMapUnitTest.cpp
 
 FRAGMENTATIONSUMMATIONTESTSHEADERS = \
-	../Fragmentation/unittests/IndexSetUnitTest.hpp \
-	../Fragmentation/unittests/IndexSetContainerUnitTest.cpp \
-	../Fragmentation/unittests/OrthogonalSummationUnitTest.hpp \
-	../Fragmentation/unittests/SetValueUnitTest.hpp \
-	../Fragmentation/unittests/SetValueMapUnitTest.hpp \
-	../Fragmentation/unittests/SubsetMapUnitTest.hpp
+	../Fragmentation/Summation/unittests/IndexSetUnitTest.hpp \
+	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.cpp \
+	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.hpp \
+	../Fragmentation/Summation/unittests/SetValueUnitTest.hpp \
+	../Fragmentation/Summation/unittests/SetValueMapUnitTest.hpp \
+	../Fragmentation/Summation/unittests/SubsetMapUnitTest.hpp
 
 FRAGMENTATIONSUMMATIONTESTS = \
@@ -36,5 +31,5 @@
 
 FRAGMENTATIONSUMMATIONLIBS = \
-	libMolecuilderFragmentationSummation.la \
+	../libMolecuilderFragmentationSummation.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
@@ -42,60 +37,34 @@
 
 IndexSetUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/IndexSetUnitTest.cpp \
-	unittests/IndexSetUnitTest.hpp
+	../Fragmentation/Summation/unittests/IndexSetUnitTest.cpp \
+	../Fragmentation/Summation/unittests/IndexSetUnitTest.hpp
 IndexSetUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 IndexSetContainerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/IndexSetContainerUnitTest.cpp \
-	unittests/IndexSetContainerUnitTest.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	SortedVector.hpp
+	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.cpp \
+	../Fragmentation/Summation/unittests/IndexSetContainerUnitTest.hpp
 IndexSetContainerUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 OrthogonalSummationUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/OrthogonalSummationUnitTest.cpp \
-	unittests/OrthogonalSummationUnitTest.hpp \
-	OrthogonalSummation.hpp \
-	OrthogonalSummation_impl.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	SortedVector.hpp \
-	SubsetMap.cpp \
-	SubsetMap.hpp
+	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.cpp \
+	../Fragmentation/Summation/unittests/OrthogonalSummationUnitTest.hpp
 OrthogonalSummationUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 SetValueUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/SetValueUnitTest.cpp \
-	unittests/SetValueUnitTest.hpp \
-	unittests/stubs/SetValueMap_Mock.hpp \
-	unittests/stubs/SubsetMap_Mock.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	SetValue.hpp
+	../Fragmentation/Summation/unittests/SetValueUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SetValueUnitTest.hpp \
+	../Fragmentation/Summation/unittests/stubs/SetValueMap_Mock.hpp \
+	../Fragmentation/Summation/unittests/stubs/SubsetMap_Mock.hpp
 SetValueUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 SetValueMapUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/SetValueMapUnitTest.cpp \
-	unittests/SetValueMapUnitTest.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	SetValue.hpp \
-	SetValueMap.hpp
+	../Fragmentation/Summation/unittests/SetValueMapUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SetValueMapUnitTest.hpp
 SetValueMapUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 SubsetMapUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	unittests/SubsetMapUnitTest.cpp \
-	unittests/SubsetMapUnitTest.hpp \
-	IndexSet.cpp \
-	IndexSet.hpp \
-	IndexSetContainer.hpp \
-	SortedVector.hpp \
-	SubsetMap.cpp \
-	SubsetMap.hpp
-	SubsetMapUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
+	../Fragmentation/Summation/unittests/SubsetMapUnitTest.cpp \
+	../Fragmentation/Summation/unittests/SubsetMapUnitTest.hpp
+SubsetMapUnitTest_LDADD = ${FRAGMENTATIONSUMMATIONLIBS}
 
 
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 40698b19cf010762adad30fcf5d7bc64f80397e8)
+++ src/Makefile.am	(revision e9200616195d7017da20bb03e2b418d9a6f8cfde)
@@ -16,4 +16,5 @@
 include Filling/Makefile.am
 include Fragmentation/Makefile.am
+include Fragmentation/Summation/Makefile.am
 include Graph/Makefile.am
 include Helpers/Makefile.am
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 40698b19cf010762adad30fcf5d7bc64f80397e8)
+++ src/UIElements/Makefile.am	(revision e9200616195d7017da20bb03e2b418d9a6f8cfde)
@@ -247,5 +247,5 @@
 endif
 libMolecuilderUI_la_LIBADD += \
-	$(top_builddir)/src/Fragmentation/Summation/libMolecuilderFragmentationSummation.la \
+	libMolecuilderFragmentationSummation.la \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 40698b19cf010762adad30fcf5d7bc64f80397e8)
+++ src/unittests/Makefile.am	(revision e9200616195d7017da20bb03e2b418d9a6f8cfde)
@@ -14,4 +14,5 @@
 include ../../src/Filling/unittests/Makefile.am
 include ../../src/Fragmentation/unittests/Makefile.am
+include ../../src/Fragmentation/Summation/unittests/Makefile.am
 include ../../src/Graph/unittests/Makefile.am
 
